Bug 116556 - iiimf-server should run as a non-priveleged user
Summary: iiimf-server should run as a non-priveleged user
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yu Shao
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-02-23 07:09 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: im-sdk-11.4-18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-26 16:01:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2004-02-23 07:09:53 UTC
Description of problem:
Currently the htt IIIMF server runs a root.  Since there are
security concerns for this client-server system, the server
should be run by a non-priveleged user.

Steps to Reproduce:
1. service IIim start
2. ps aux|grep htt$
  
Actual results:
root   9364  0.0  0.0  3068  272 ?    S  10:21  0:00 /usr/lib/im/htt

Expected results:
iiimf  9364  0.0  0.0  3068  272 ?    S  10:21  0:00 /usr/lib/im/htt

Additional info:
For comparison: Canna's cannaserver runs as user bin,
and FreeWnn's jserver runs as user wnn.


Note You need to log in before you can comment on or make changes to this bug.